<template>
  <van-icon v-if="status == 'loading'" name="warning" size="16" color="#FF476A" />
  <div v-else class="text-black-9 text-[10px]">发送失败</div>
</template>
<script setup>
const chatStore = useChatStore()
const { ws, curConversiton, receive, receiveGetter, isConnect, onNewMessage } =
  storeToRefs(chatStore)
const status = ref('loading')
onMounted(() => {
  setTimeout(() => {
    status.value = 'fail'
  }, 10000)
})
</script>
